Subject: Re: [PATCH 12/16] path: drop `git_path()` in favor of `repo_git_path()`

From: shejialuo <[email-masked]>
Date: Fri, 7 Feb 2025 00:01:19 +0800

On Thu, Feb 06, 2025 at 08:58:08AM +0100, Patrick Steinhardt wrote:
> Remove `git_path()` in favor of the `repo_git_path()` family of
> functions, which makes the implicit dependency on `the_repository` go
> away.
> 

In this commit, I have concerns that I have already commented at
[PATCH 10/16]. I don't think we should use "repo_git_path" in most of
time, we may use "repo_git_path_replace" for most situation.

Thanks,
Jialuo